Skip to main content
GET
/
storefront
/
billing
/
status
Get Stripe account status
curl --request GET \
  --url https://api.agentic.scope3.com/api/v2/partner/storefront/billing/status \
  --header 'Authorization: Bearer <token>'
{
  "accountId": "<string>",
  "chargesEnabled": true,
  "payoutsEnabled": true,
  "requirements": {
    "currentlyDue": [
      "<string>"
    ],
    "eventuallyDue": [
      "<string>"
    ]
  },
  "balance": {
    "available": [
      {
        "amount": 123,
        "currency": "<string>"
      }
    ],
    "pending": [
      {
        "amount": 123,
        "currency": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API key or access token

Response

Get Stripe account status

Stripe Connect account status and balance

accountId
string
required
chargesEnabled
boolean
required
payoutsEnabled
boolean
required
requirements
object
required
balance
object
required